//------------------------------------------------------------
#ifndef ONEWIRE_H
#define ONEWIRE_H
//------------------------------------------------------------
#include "usb.h"
//------------------------------------------------------------
class OneWire_t : public usb_t
{
public:
    OneWire_t(int VID, int PID) : usb_t(VID, PID) {}
    OneWire_t(char *path) : usb_t(path) {}
    ~OneWire_t() {}

protected:
    bool OW_RESET();
    bool OW_READ_BIT(unsigned char &B);
    bool OW_READ_2BIT(unsigned char &B);
    bool OW_READ_BYTE(unsigned char &B);
    bool OW_READ_4BYTE(unsigned long &B);
    bool OW_WRITE_BIT(unsigned char B);
    bool OW_WRITE_BYTE(unsigned char B);
    bool OW_WRITE_4BYTE(unsigned long B);
};
//------------------------------------------------------------
#endif // ONEWIRE_H
//------------------------------------------------------------
